Subject: Re: linux-next: trivial tree build failure

From: Samuel Ortiz <[email-masked]>
Date: Mon, 18 Jan 2010 13:56:30 +0100

Hi Jiri,

On Mon, Jan 18, 2010 at 11:17:19AM +0100, Jiri Kosina wrote:
> On Mon, 18 Jan 2010, Stephen Rothwell wrote:
> 
> > Hi Jiri,
> > 
> > Today's linux-next build (x86_64_allmodconfig) failed like this:
> > 
> > drivers/mfd/ab3100-otp.c: In function 'show_otp':
> > drivers/mfd/ab3100-otp.c:101: error: dereferencing pointer to incomplete type
> > drivers/mfd/ab3100-otp.c:104: error: implicit declaration of function 'seq_printf'
> > drivers/mfd/ab3100-otp.c:102: warning: unused variable 'err'
> > drivers/mfd/ab3100-otp.c: In function 'ab3100_otp_open':
> > drivers/mfd/ab3100-otp.c:116: error: implicit declaration of function 'single_open'
> > drivers/mfd/ab3100-otp.c:116: error: 'ab3100_otp_show' undeclared (first use in this function)
> > drivers/mfd/ab3100-otp.c: At top level:
> > drivers/mfd/ab3100-otp.c:121: error: 'seq_read' undeclared here (not in a function)
> > drivers/mfd/ab3100-otp.c:122: error: 'seq_lseek' undeclared here (not in a function)
> > drivers/mfd/ab3100-otp.c:123: error: 'single_release' undeclared here (not in a function)
> > drivers/mfd/ab3100-otp.c: In function 'ab3100_otp_init_debugfs':
> > drivers/mfd/ab3100-otp.c:134: error: 'err' undeclared (first use in this function)
> > drivers/mfd/ab3100-otp.c: In function 'ab3100_otp_exit_debugfs':
> > drivers/mfd/ab3100-otp.c:140: error: implicit declaration of function 'debugfs_remove_file'
> > 
> > Exposed by commit 8dcafdf0475eb4633401d1f0bf0e0d35e4ebb9d5
> > "CONFIG_DEBUG_FS wrongly written as CONFIG_DEBUGFS".
> 
> Hmm, mea culpa. I have noticed the build failure myself and notified patch 
> author about that, but forgot to drop the patch from my tree afterwards. 
> Sorry.
> 
> On Mon, 18 Jan 2010, Linus Walleij wrote:
> 
> > 2010/1/18 Stephen Rothwell <[email-masked]>:
> > 
> > > Exposed by commit 8dcafdf0475eb4633401d1f0bf0e0d35e4ebb9d5
> > > "CONFIG_DEBUG_FS wrongly written as CONFIG_DEBUGFS".
> > > I have reverted that commit for today.
> > 
> > I have sent a proper patch to Sam last night, that fix the #ifdef and
> > makes the code work.
> 
> I have dropped the patch from my tree now, and I am not carrying any 
> replacement as of now.
I'm carrying Linus patch for it, thanks.

Cheers,
Samuel.

> -- 
> Jiri Kosina
> SUSE Labs, Novell Inc.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/